> ## Documentation Index
> Fetch the complete documentation index at: https://docs.tensorpix.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get apiv2tensorshotsjobsimage to text 

> Retrieve or cancel a specific image-to-text job.



## OpenAPI

````yaml https://backend.tensorpix.ai/api/schema/ get /api/v2/tensorshots/jobs/image-to-text/{job_pk}/
openapi: 3.1.0
info:
  title: TensorPix OpenAPI Documentation
  version: 1.1.0
  termsOfService: https://tensorpix.ai/terms-conditions
  contact:
    name: TensorPix Dev Team
    email: devs@tensorpix.ai
servers:
  - url: https://backend.tensorpix.ai
security: []
externalDocs:
  url: https://docs.tensorpix.ai
  description: Check out the full TensorPix documentation.
paths:
  /api/v2/tensorshots/jobs/image-to-text/{job_pk}/:
    get:
      tags:
        - v2
      description: Retrieve or cancel a specific image-to-text job.
      operationId: v2_tensorshots_jobs_image_to_text_retrieve
      parameters:
        - in: path
          name: job_pk
          schema:
            type: string
            format: uuid
          required: true
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ImageToTextJob'
          description: ''
        '401':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/UnauthenticatedError'
          description: ''
        '403':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ForbiddenError'
          description: ''
        '404':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/NotFoundError'
          description: ''
        '429':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/RateLimitError'
          description: ''
      security:
        - tokenAuth: []
components:
  schemas:
    ImageToTextJob:
      type: object
      description: Read-only serializer for image-to-text jobs.
      properties:
        id:
          type: string
          format: uuid
          readOnly: true
        created_at:
          type: string
          format: date-time
          readOnly: true
          description: Datetime when the record was created.
        error_message:
          type: string
          readOnly: true
          description: Error details if job failed.
        status:
          allOf:
            - $ref: '#/components/schemas/TensorshotsJobStatusEnum'
          readOnly: true
          description: |-
            Current job status.

            * `queued` - Queued
            * `processing` - Processing
            * `expired` - Expired
            * `cancelled` - Cancelled
            * `completed` - Completed
            * `failed` - Failed
        description:
          type: string
          readOnly: true
          description: Human-readable job description.
        started_at:
          type: string
          format: date-time
          readOnly: true
          description: When job processing started.
        finished_at:
          type:
            - string
            - 'null'
          format: date-time
          readOnly: true
          description: When the job processing successfully finished.
        processing_time_seconds:
          type: number
          format: double
          description: |-
            Calculate job processing time in seconds.
            If the job is still processing, calculate time since started.
            If the job was cancelled, deleted, calculate time until that point.
            if the job is completed, calculate time until finished.
          readOnly: true
        cost_credits:
          type: string
          format: decimal
          pattern: ^-?\d{0,8}(?:\.\d{0,2})?$
          readOnly: true
          description: Job cost in 🪙 Credits.
        project:
          type:
            - string
            - 'null'
          format: uuid
          readOnly: true
          description: Optional project this job belongs to.
        shot:
          type:
            - string
            - 'null'
          format: uuid
          readOnly: true
          description: Optional shot this job belongs to.
        project_real_estate:
          type:
            - string
            - 'null'
          format: uuid
          readOnly: true
          description: Optional real-estate project this job belongs to.
        real_estate_shot:
          type:
            - string
            - 'null'
          format: uuid
          readOnly: true
          description: Real-estate shot this job belongs to.
        image_asset:
          type: string
          format: uuid
          readOnly: true
          description: Image asset that is being described.
        fidelity_level:
          allOf:
            - $ref: '#/components/schemas/FidelityLevelEnum'
          readOnly: true
          description: |-
            Requested detail level for the generated description.

            * `high` - High
            * `mid` - Mid
            * `low` - Low
        title:
          type: string
          readOnly: true
          description: Short image title returned by the description model.
        tag:
          type: string
          readOnly: true
          description: Slug-style tag returned by the description model.
          pattern: ^[-a-zA-Z0-9_]+$
        one_word_description:
          type: string
          readOnly: true
          description: Single-word description returned by the description model.
        description_asset:
          allOf:
            - $ref: '#/components/schemas/TextAsset'
          readOnly: true
        description_asset_text:
          type:
            - string
            - 'null'
          description: >-
            Return the description asset text value for the current request
            flow.


            Run the main steps in order and keep side effects in this scope.


            Args:
                obj: Input value used by this function.

            Returns:
                Result value returned to the caller.
          readOnly: true
      required:
        - cost_credits
        - created_at
        - description
        - description_asset
        - description_asset_text
        - error_message
        - fidelity_level
        - finished_at
        - id
        - image_asset
        - one_word_description
        - processing_time_seconds
        - project
        - project_real_estate
        - real_estate_shot
        - shot
        - started_at
        - status
        - tag
        - title
    UnauthenticatedError:
      type: object
      description: Serializer stub used for simple documented error payloads.
      properties:
        detail:
          type: string
      required:
        - detail
    ForbiddenError:
      type: object
      description: Serializer stub used for simple documented error payloads.
      properties:
        detail:
          type: string
      required:
        - detail
    NotFoundError:
      type: object
      description: Serializer stub used for simple documented error payloads.
      properties:
        detail:
          type: string
      required:
        - detail
    RateLimitError:
      type: object
      description: Serializer stub used for simple documented error payloads.
      properties:
        detail:
          type: string
      required:
        - detail
    TensorshotsJobStatusEnum:
      enum:
        - queued
        - processing
        - expired
        - cancelled
        - completed
        - failed
      type: string
      description: |-
        * `queued` - Queued
        * `processing` - Processing
        * `expired` - Expired
        * `cancelled` - Cancelled
        * `completed` - Completed
        * `failed` - Failed
    FidelityLevelEnum:
      enum:
        - high
        - mid
        - low
      type: string
      description: |-
        * `high` - High
        * `mid` - Mid
        * `low` - Low
    TextAsset:
      type: object
      description: Serializer for TextAsset with basic fields.
      properties:
        id:
          type: string
          format: uuid
          readOnly: true
        created_at:
          type: string
          format: date-time
          readOnly: true
          description: Datetime when the record was created.
        text:
          type: string
          readOnly: true
          description: Generated text content.
      required:
        - created_at
        - id
        - text
  securitySchemes:
    tokenAuth:
      type: apiKey
      in: header
      name: Authorization
      description: Token-based authentication with required prefix "Token"

````